Subject: I can do for you is - what can not no girl!

From: Nadya <[email-masked]>
Date: Fri, 29 Jan 2010 18:49:04 -0800 (PST)

Hey - why do I stop writing? "I very much waited your letter - every day,
I now have a website, come to my page and write to me at last,
I'm waiting for you, and I want to meet with you, kisses - Nadia from Russia!
Click here